﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace fieldsBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            tg.DataContext = new ViewModel();
        }
    }

    public class Person
    {
         public string Id { get; set; }
    
         public string Name { get; set; }

        public List<Order> Orders { get; set; }

    }

  
    public class Order
   {

        public string Id { get; set; }

        public string Name { get; set; }
   }

  
    public class ViewModel
   {
       public ViewModel()
       {
           collection = new ObservableCollection<Person>();
           collection.Add(new Person()
           {
               Id = "1",
               Name = "Name1",
               Orders = new List<Order>() 
               {
                   new Order()
                   {
                       Id = "1.1",
                       Name = "Name 1.1"
                   }
               }
           });
           collection.Add(new Person()
           {
               Id = "2",
               Name = "Name2",
               Orders = new List<Order>() 
               {
                   new Order()
                   {
                       Id = "2.1",
                       Name = "Name 2.1"
                   }
               }
           });
           collection.Add(new Person()
           {
               Id = "3",
               Name = "Name3",
               Orders = new List<Order>() 
               {
                   new Order()
                   {
                       Id = "3.1",
                       Name = "Name 3.1"
                   }
               }
           });
       }

       public ObservableCollection<Person> collection { get; set; }
   }


}
